Bug 1005498 - (python-caja) Review Request: python-caja - Python bindings for Caja
Review Request: python-caja - Python bindings for Caja
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: caja-terminal
  Show dependency treegraph
 
Reported: 2013-09-07 12:41 EDT by Wolfgang Ulbrich
Modified: 2014-10-23 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-caja-1.4.0-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-23 13:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2013-09-07 12:41:06 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/python-caja.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/python-caja-1.4.0-2.fc21.src.rpm
Description: Python bindings for Caja
Fedora Account System Username: raveit65
Comment 1 Björn "besser82" Esser 2013-09-07 12:57:12 EDT
taken ;)
Comment 2 Björn "besser82" Esser 2013-09-21 10:19:27 EDT
Package has minor issues.  No blockers :)  Please fix them on SCM-import.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> this is intentional on python-plugins.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or generated". 8
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1005498-python-caja/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/caja-python, /usr/share/python-caja,
     /usr/share/doc/caja-python
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/python-caja,
     /usr/lib64/caja-python, /usr/share/doc/caja-python
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 26 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[-]: Latest version is packaged.

     ---> 1.6.0 is released, but mainly untested.  Packager tested this
          version (1.4.0) for ~ 1 year and had no issues with it.

[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-caja-1.4.0-2.fc21.x86_64.rpm
          python-caja-devel-1.4.0-2.fc21.x86_64.rpm
          python-caja-1.4.0-2.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-caja python-caja-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-caja (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    rtld(GNU_HASH)

python-caja-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    python-caja(x86-64)



Provides
--------
python-caja:
    libcaja-python.so()(64bit)
    python-caja
    python-caja(x86-64)

python-caja-devel:
    pkgconfig(caja-python)
    python-caja-devel
    python-caja-devel(x86-64)



Unversioned so-files
--------------------
python-caja: /usr/lib64/caja-python/caja.so
python-caja: /usr/lib64/caja/extensions-2.0/libcaja-python.so

Source checksums
----------------
http://pub.mate-desktop.org/releases/1.4/python-caja-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 4e739358fb8b14845ee7084e88cf4bc006ce28f050d7c32b1196255a26f8f236
  CHECKSUM(SHA256) upstream package : 4e739358fb8b14845ee7084e88cf4bc006ce28f050d7c32b1196255a26f8f236


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1005498
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please fix-up the dir-ownership on SCM-import.

APPROVED!!!
Comment 3 Wolfgang Ulbrich 2013-09-21 11:07:10 EDT
New Package SCM Request
=======================
Package Name: python-caja
Short Description: Python bindings for Caja
Owners: raveit65
Branches: f18 f19 f20
InitialCC:
Comment 4 Wolfgang Ulbrich 2013-09-21 11:12:22 EDT
Thank you for the review Björn.
Comment 5 Gwyn Ciesla 2013-09-23 08:43:04 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-23 13:50:22 EDT
python-caja-1.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-caja-1.4.0-3.fc18
Comment 7 Fedora Update System 2013-09-23 13:50:33 EDT
python-caja-1.4.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-caja-1.4.0-3.fc19
Comment 8 Fedora Update System 2013-09-23 13:50:44 EDT
python-caja-1.4.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-caja-1.4.0-3.fc20
Comment 9 Fedora Update System 2013-09-24 18:50:14 EDT
python-caja-1.4.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-09-29 20:45:24 EDT
python-caja-1.4.0-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-10-02 21:12:21 EDT
python-caja-1.4.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-10-02 21:13:32 EDT
python-caja-1.4.0-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Wolfgang Ulbrich 2014-08-09 10:36:50 EDT
Package Change Request
======================
Package Name: python-caja
New Branches: epel7
Owners: raveit65
Comment 14 Gwyn Ciesla 2014-08-11 08:27:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.